claw::math Namespace Reference

Manipulation of mathematic, geometric, etc. items. More...

## Classes

class | rectangle
| A class representing a rectangle by his x,y coordinates, width and height. More...
class | box_2d
| A rectangle represented by two points in a 2D space. More...
class | coordinate_2d
| Coordinates in a two dimensional space. More...
struct | coordinate_traits
| The coordinate traits provide an access to the members of the structures representing a coordinate in a 2D space. More...
struct | coordinate_traits< claw::math::coordinate_2d< T > >
| Specialization of the coordinate_traits for claw::math::coordinate_2d. More...
struct | coordinate_traits< claw::math::vector_2d< T > >
| Specialization of the coordinate_traits for claw::math::vector_2d. More...
class | curve
| Implementation of the Bézier curve. More...
class | line_2d
| A straight line in a two dimensional space. More...
class | ordered_set
| A class to manage sets of ordered items. More...
class | vector_2d
| Two dimensional vector. More...

## Functions

template<typename T>
coordinate_2d< T > | operator- (const coordinate_2d< T > &that)
template<typename T, typename U>
coordinate_2d< T > | operator* (U v, const coordinate_2d< T > &self)

## Detailed Description

Manipulation of mathematic, geometric, etc. items.